# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: rpm-build-java
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          jyaml
Version:       1.3
Release:       alt1_9
Summary:       Java library for Java object serialization using the Yaml format
Group:         Development/Java
License:       BSD
Url:           http://jyaml.sourceforge.net/
Source0:       http://sourceforge.net/projects/jyaml/files/jyaml/jyaml-%{version}/jyaml-src-%{version}.tgz
Source1:       http://repo1.maven.org/maven2/org/jyaml/jyaml/%{version}/jyaml-%{version}.pom
Patch0:        jyaml-1.3-junit.patch
Patch1:        jyaml-1.3-noretrotranslator.patch

BuildArch:     noarch

BuildRequires: java-devel-default /proc
BuildRequires: javapackages-local

BuildRequires: ant
BuildRequires: junit
Source44: import.info
# todo
# dbunit.jar 2.2
# spring.jar commons-logging.jar

%description
JYaml is a Java library for Java object serialization using the
Yaml format - a human-friendly format for structured documents
(yaml.org).


%prep
%setup -q -n jyaml

%patch0 -p0
%patch1 -p0
for j in $(find . -name "*.jar"); do
  rm -rf $j
done
# rm -rf retrotranslator/retrotranslator-transformer-0.9.8.jar
# rm -rf retrotranslator/retrotranslator-runtime-0.9.8.jar
# rm -rf retrotranslator/backport-util-concurrent.jar

cat > project.properties << GIL
JUNIT_HOME=%{_javadir}
# You need to set this if you want to test Jyaml for the 1.4 JVM using Retrotranslator
#java.home.14=%{_jvmdir}/java-1.4.0-sun
version=1.3
GIL

%build

%ant build package

%install
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files -f .mfiles
%doc CHANGE_LOG LICENSE RELEASE_NOTES TODO


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_9
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_8
- new version

